> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/paypal/view-data-paypal-payin/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # View data submitted for a PayPal PayIn GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/payins/payment-methods/paypal/data-collection/{DataCollectionId} Retrieve pre-transaction data submitted previously. Reference: https://docs.mangopay.com/api-reference/paypal/view-data-paypal-payin ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `DataCollectionId` (string, required) — The unique identifier of the Data Collection object, returned after sending the requested data to the [POST Submit data for a PayPal PayIn](/api-reference/paypal/submit-data-paypal-payin) endpoint. ## Response ### 200 Success - `business_name` (string, optional) — Format: Alphanumeric; example: `Acme Corp.` Business name used by the seller/recipient to register on the marketplace platform. - `first_interaction_date` (string, optional) — Format: ISO 8601 date format; example: `2012-12-09T 19:14:55.277-0:00` Date of the first interaction between the sender and receiver on the marketplace platform. Definition of 'interaction' is to be defined by the marketplace platform. Examples are: first transaction attempt between sender and receiver, add friend date between sender and receiver, etc. - `sender_phone` (string, optional) — Format: E.123 - Telephone Number (national notation); example `(042) 1123 4567` Phone number (national notation) registered with the sender/buyer's marketplace account. - `receiver_create_date` (string, optional) — Format: ISO 8601 date format; example: `2012-12-09T19:14:55.277-0:00` Date of creation of the seller/recipient's account on the marketplace platform. - `receiver_address_country_code` (string, optional) — Format: ISO Alpha-2 Country Code; example: `FR` Seller/recipient's country code registered on the marketplace platform. - `rcs` (string, optional) — The `rcs` returned by PayPal. - `stc` (string, optional) — The `stc` returned by PayPal. - `sender_create_date` (string, optional) — Format: ISO 8601 date format; example: `2012-12-09T19:14:55.277-0:00` Date of creation of the sender/buyer's account on the marketplace platform. - `transaction_is_tangible` (string, optional) — Possible values: `0`, `1`; example: `0` The seller/receiver's transaction is for tangible rather than digital goods. If tangible, value = 1. If intangible, value = 0. - `receiver_email` (string, optional) — Format: E.123 – Email Address; example: `john@example.com` Seller/recipient's registered email on the marketplace platform. - `vertical` (string, optional) — Format: Alphanumeric; examples: `household goods`, `shoes`, `clothing`, `tickets`, etc. Transaction level vertical flag for the seller/receiver's transactions that are in several verticals. - `sender_country_code` (string, optional) — Format: ISO Alpha-2 Country Code; example: `FR` Country code registered with the sender/buyer's marketplace account. - `txn_count_total` (string, optional) — Format: Integer; example: `34` Total number of transactions the sender/buyer has had to date on the marketplace platform (through PayPal or otherwise). - `sender_signup_ip` (string, optional) — Format: IP (IPv4 / IPv6); example: `10.220.90.20` IP address that the sender/buyer used to sign up on the marketplace platform. - `rdauuid` (string, optional) — The `rdauuid` returned by PayPal. - `receiver_account_id` (string, optional) — Format: Alphanumeric; example: `A12345N343` Unique identifier of the seller/recipient's account on the marketplace platform. - `sender_last_name` (string, optional) — Format: Alphanumeric; example: `Doe` Last name registered with the sender/buyer's marketplace account. - `sender_account_id` (string, optional) — Format: Alphanumeric; example: `A12345N343` Unique identifier of the sender/buyer account on the marketplace platform. - `api_caller` (string, optional) — The `api_caller` returned by PayPal. - `sender_first_name` (string, optional) — Format: Alphanumeric; example: `Jane` First name registered with the sender/buyer's marketplace account. - `sender_popularity_score` (string, optional) — Possible values: `high`, `medium`, `low`; example: `high` Risk-based scoring on the sender/buyer by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform's risk platform capabilities. - `recipient_popularity_score` (string, optional) — Possible values: `high`, `medium`, `low`; example: `high` Risk-based scoring on the seller/recipient by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform's risk platform capabilities. - `sender_email` (string, optional) — Format: E.123 – Email Address; example: `john@example.com` Email address registered with the sender/buyer's marketplace account. ## Examples **Response** ```json { "business_name": "Jane Ltd", "first_interaction_date": "2012-12-09T19:14:55.277-0:00", "sender_phone": "(0033) 678123456", "receiver_create_date": "2012-12-09T19:14:55.277-0:00", "receiver_address_country_code": "FR", "rcs": "0", "stc": "2.0", "sender_create_date": "2012-12-09T19:14:55.277-0:00", "transaction_is_tangible": "0", "receiver_email": "jane@sample.com", "vertical": "Household goods", "sender_country_code": "FR", "txn_count_total": "34", "sender_signup_ip": "10.220.90.20", "rdauuid": "7df48c7f-15ab-4330-9955-367d9d2a7890", "receiver_account_id": "A12345N344", "sender_last_name": "Doe", "sender_account_id": "A12345N343", "api_caller": "5323447257614016219", "sender_first_name": "Jane", "sender_popularity_score": "high", "recipient_popularity_score": "high", "sender_email": "jane.doe@sample.com", "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d", "sender_address_zip": "75009" } ```